<section class="p-0">
    <form class="padding-movil" action="">
        <div data-aos="fade-in" data-aos-delay="150" class="container">
            <div class="container">
                <div class="row " style="display: flex;
                justify-content: center;
                align-items: center;">
                    <div class="col-md-8 mt-4">
                        <div class="row">
                            <div class="col-md-12 mb-4 fechaDetalleViaje">
                                Solicitudes pendientes
                            </div>
                            <div class="col-xl-12 col-lg-12 col-md-12">
                                <!-- <div *ngFor="let soli of solicitudes">

                                    <div *ngIf="cantSolicitudes>0">
                                        <div class="resumen-filtro mb-4">
                                            <div class="row ruta-line ml-2 pb-0" style="color: black;">
                                                <div class="align-center name-lugar-responsive">
                                                    <span class="direccion-decoration"
                                                        title=" {{soli.viaje.lugarOrigen}}">
                                                        {{soli.viaje.lugarOrigen}}
                                                    </span>
                                                </div>
                                                <div class="align-center pl-3 pr-3">
                                                    <i style="float: right;
                                                    margin: 0.29rem 0px;" class="fas fa-long-arrow-alt-right"></i>
                                                </div>
                                                <div class="align-center name-lugar-responsive">
                                                    <span class="direccion-decoration"
                                                        title="{{soli.viaje.lugarDestino}}">
                                                        {{soli.viaje.lugarDestino}}</span>
                                                </div>
                                            </div>
                                            <div class="row ml-3">
                                                <div class="align-center">
                                                    <span style="text-transform: capitalize;">
                                                        {{getFechaFormat(soli.viaje.fechaViaje,soli.viaje.horaViaje)}},
                                                        {{soli.viaje.cantidadAsientosOfrecidos}} </span>
                                                    &nbsp;pasajero(s)
                                                </div>
                                            </div>
                                        </div>
                                        <div class="pb-3" *ngFor="let solicitud of soli.solicitudes"
                                            style="border-bottom:1px solid #eaedf2;">
                                            <div class="row">
                                                <div class="col-md-2" *ngIf="solicitud.miembro.foto!=''">
                                                    <img class="avatar" src="{{solicitud.miembro.foto}}" alt="">
                                                </div>
                                                <div class="col-md-2" *ngIf="solicitud.miembro.foto==''">
                                                    <img class="avatar" src="assets/img/avatar/male-3.png" alt="">
                                                </div>
                                                <div class="col-md-8">
                                                    {{solicitud.miembro.nombre}} {{solicitud.miembro.apellido}} &nbsp;
                                                    <span
                                                        *ngIf="solicitud.miembro.fechaNacimiento!=''">{{getAge(solicitud.miembro.fechaNacimiento)}}
                                                        años</span> <br>
                                                    <p class="m-0 p-0">
                                                        <img src="assets/img/icons/theme/general/star.png" height="15px"
                                                            alt="">
                                                        4,4
                                                    </p>
                                                    <span
                                                        *ngIf="solicitud.miembro.fechaNacimiento!=''">{{getFechaViaje(solicitud.miembro.fechaCreacion)}}</span>
                                                </div>
                                                <div class="col-md-1" style="display: flex;
                                                justify-content: center;
                                                align-items: center;">
                                                    <button class="btn" style="color:#469C72;background: none;"
                                                        data-toggle="tooltip" data-placement="top" title=""
                                                        data-original-title="Aprobar solicitud"
                                                        (click)="aprobarSolicitud(solicitud.solicitud.id)"> <i
                                                            class="fas fa-check" style="font-size: 1.2rem;"></i>
                                                    </button>
                                                </div>
                                                <div class="col-md-1" style="display: flex;
                                                justify-content: center;
                                                align-items: center;">
                                                    <button class="btn" style="color:#b50000;background: none;"
                                                        data-toggle="tooltip" data-placement="top" title=""
                                                        data-original-title="Rechazar solicitud"
                                                        (click)="rechazarSolicitud(solicitud.solicitud.id)"> <i
                                                            class="fas fa-times" style="font-size: 1.2rem;"></i>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div> -->
                                <div *ngFor="let soli of solicitudes; let i = index">
                                    <div *ngIf="cantSolicitudes>0" style="border-bottom:1px solid #eaedf2;">
                                        <div id="faq-accordion">
                                            <div class="card mb-2 mb-md-3" style="border: none !important;">
                                                <a href="#accordion-{{i}}" data-toggle="collapse" role="button"
                                                    aria-expanded="false" class="p-md-4"
                                                    style="padding:0px !important;color: inherit;">
                                                    <div class="d-flex justify-content-between align-items-center">
                                                        <div class="cantSolicitudes">
                                                            <a class="btn btn-sm btn-primary rounded-circle" style="    color: white;
                                                            font-size: 1rem;">
                                                                {{soli.solicitudes.length}}
                                                            </a>

                                                        </div>
                                                        <div class="resumen-filtro" style="background-color: white;;">
                                                            <div class="row ruta-line ml-2 pb-0" style="color: black;">

                                                                <div class="align-center name-lugar-responsive">
                                                                    <span class="direccion-decoration"
                                                                        title=" {{soli.viaje.lugarOrigen}}">
                                                                        {{soli.viaje.lugarOrigen}}
                                                                    </span>
                                                                </div>
                                                                <div class="align-center pl-3 pr-3">
                                                                    <i style="float: right;
                                                                                margin: 0.29rem 0px;"
                                                                        class="fas fa-long-arrow-alt-right"></i>
                                                                </div>
                                                                <div class="align-center name-lugar-responsive">
                                                                    <span class="direccion-decoration"
                                                                        title="{{soli.viaje.lugarDestino}}">
                                                                        {{soli.viaje.lugarDestino}}</span>
                                                                </div>
                                                            </div>
                                                            <div class="row ml-3">
                                                                <div class="align-center"
                                                                    style="color: #555a64;font-weight:600">
                                                                    <span style="text-transform: capitalize;">
                                                                        {{getFechaFormat(soli.viaje.fechaViaje,soli.viaje.horaViaje)}},
                                                                        {{soli.viaje.cantidadAsientosOfrecidos}} </span>
                                                                    &nbsp;pasajero(s)
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"
                                                            class="kirk-icon sc-htpNat vALAF" width="24" height="24"
                                                            aria-hidden="true" fill="#708C91">
                                                            <polyline fill="none" stroke="#708C91" stroke-width="2"
                                                                stroke-linecap="round" stroke-linejoin="round"
                                                                stroke-miterlimit="10" points="9 18 15 12 9 6">
                                                            </polyline>
                                                        </svg>
                                                    </div>
                                                </a>
                                                <div class="collapse" id="accordion-{{i}}" data-parent="#faq-accordion">
                                                    <div class="pb-3" *ngFor="let solicitud of soli.solicitudes">
                                                        <div class="row">
                                                            <div class="col-md-2" *ngIf="solicitud.miembro.foto!='' && solicitud.miembro.foto!=null">
                                                                <img class="avatar" src="{{solicitud.miembro.foto}}"
                                                                    alt="">
                                                            </div>
                                                            <div class="col-md-2" *ngIf="solicitud.miembro.foto=='' || solicitud.miembro.foto==null">
                                                                <img class="avatar" src="assets/img/avatars/user.png"
                                                                    alt="">
                                                            </div>
                                                            <div class="col-md-8">
                                                                {{solicitud.miembro.nombre}}
                                                                {{solicitud.miembro.apellido}} &nbsp;
                                                                <span
                                                                    *ngIf="solicitud.miembro.fechaNacimiento!=''">{{getAge(solicitud.miembro.fechaNacimiento)}}
                                                                    años</span> <br>
                                                                <p class="m-0 p-0">
                                                                    <img src="assets/img/icons/theme/general/star.png"
                                                                        height="15px" alt="">
                                                                    4,4
                                                                </p>
                                                                <span
                                                                    *ngIf="solicitud.miembro.fechaNacimiento!=''">{{getFechaViaje(solicitud.miembro.fechaCreacion)}}</span>
                                                            </div>
                                                            <div class="col-md-1" style="display: flex;
                                                                justify-content: center;
                                                                align-items: center;">
                                                                <button class="btn"
                                                                    style="color:#469C72;background: none;"
                                                                    data-toggle="tooltip" data-placement="top" title=""
                                                                    data-original-title="Aprobar solicitud"
                                                                    (click)="aprobarSolicitud(solicitud.solicitud.id)">
                                                                    <i class="fas fa-check"
                                                                        style="font-size: 1.2rem;"></i>
                                                                </button>
                                                            </div>
                                                            <div class="col-md-1" style="display: flex;
                                                                justify-content: center;
                                                                align-items: center;">
                                                                <button class="btn"
                                                                    style="color:#b50000;background: none;"
                                                                    data-toggle="tooltip" data-placement="top" title=""
                                                                    data-original-title="Rechazar solicitud"
                                                                    (click)="rechazarSolicitud(solicitud.solicitud.id)">
                                                                    <i class="fas fa-times"
                                                                        style="font-size: 1.2rem;"></i>
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="resumen-resultado col-md-12 mt-4  mb-5 mt-md-5 ml-3 ml-md-0mt-5 mb-5">
                                <span> {{cantSolicitudes}} solicitud(es) pendiente(s)</span>
                            </div>
                        </div>
                        <!-- <div class="col-xl-12 col-lg-12 col-md-12">
                                <div *ngFor="let soli of solicitudes; let i = index">
                                    <div *ngIf="cantSolicitudes>0">
                                        <div id="faq-accordion">
                                            <div class="card mb-2 mb-md-3">
                                                <a href="#accordion-1" data-toggle="collapse" role="button"
                                                    aria-expanded="false" class="p-md-4"
                                                    style="padding:0px !important;color: inherit;">
                                                    <div class="d-flex justify-content-between align-items-center">
                                                        <div class="resumen-filtro" style="background-color: white;;">
                                                            <div class="row ruta-line ml-2 pb-0" style="color: black;">
                                                                <div class="align-center name-lugar-responsive">
                                                                    <span class="direccion-decoration"
                                                                        title=" {{soli.viaje.lugarOrigen}}">
                                                                        {{soli.viaje.lugarOrigen}}
                                                                    </span>
                                                                </div>
                                                                <div class="align-center pl-3 pr-3">
                                                                    <i style="float: right;
                                                                            margin: 0.29rem 0px;"
                                                                        class="fas fa-long-arrow-alt-right"></i>
                                                                </div>
                                                                <div class="align-center name-lugar-responsive">
                                                                    <span class="direccion-decoration"
                                                                        title="{{soli.viaje.lugarDestino}}">
                                                                        {{soli.viaje.lugarDestino}}</span>
                                                                </div>
                                                            </div>
                                                            <div class="row ml-3">
                                                                <div class="align-center"
                                                                    style="color: #555a64;font-weight:600">
                                                                    <span style="text-transform: capitalize;">
                                                                        {{getFechaFormat(soli.viaje.fechaViaje,soli.viaje.horaViaje)}},
                                                                        {{soli.viaje.cantidadAsientosOfrecidos}} </span>
                                                                    &nbsp;pasajero(s)
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"
                                                            class="kirk-icon sc-htpNat vALAF" width="24" height="24"
                                                            aria-hidden="true" fill="#708C91">
                                                            <polyline fill="none" stroke="#708C91" stroke-width="2"
                                                                stroke-linecap="round" stroke-linejoin="round"
                                                                stroke-miterlimit="10" points="9 18 15 12 9 6">
                                                            </polyline>
                                                        </svg>
                                                    </div>
                                                </a>
                                                <div class="collapse" id="accordion-{{index}}" data-parent="#faq-accordion">
                                                    <div class="pb-3" *ngFor="let solicitud of soli.solicitudes"
                                                        style="border-bottom:1px solid #eaedf2;">
                                                        <div class="row">
                                                            <div class="col-md-2" *ngIf="solicitud.miembro.foto!=''">
                                                                <img class="avatar" src="{{solicitud.miembro.foto}}"
                                                                    alt="">
                                                            </div>
                                                            <div class="col-md-2" *ngIf="solicitud.miembro.foto==''">
                                                                <img class="avatar" src="assets/img/avatar/male-3.png"
                                                                    alt="">
                                                            </div>
                                                            <div class="col-md-8">
                                                                {{solicitud.miembro.nombre}}
                                                                {{solicitud.miembro.apellido}} &nbsp;
                                                                <span
                                                                    *ngIf="solicitud.miembro.fechaNacimiento!=''">{{getAge(solicitud.miembro.fechaNacimiento)}}
                                                                    años</span> <br>
                                                                <p class="m-0 p-0">
                                                                    <img src="assets/img/icons/theme/general/star.png"
                                                                        height="15px" alt="">
                                                                    4,4
                                                                </p>
                                                                <span
                                                                    *ngIf="solicitud.miembro.fechaNacimiento!=''">{{getFechaViaje(solicitud.miembro.fechaCreacion)}}</span>
                                                            </div>
                                                            <div class="col-md-1" style="display: flex;
                                                            justify-content: center;
                                                            align-items: center;">
                                                                <button class="btn"
                                                                    style="color:#469C72;background: none;"
                                                                    data-toggle="tooltip" data-placement="top" title=""
                                                                    data-original-title="Aprobar solicitud"
                                                                    (click)="aprobarSolicitud(solicitud.solicitud.id)">
                                                                    <i class="fas fa-check"
                                                                        style="font-size: 1.2rem;"></i>
                                                                </button>
                                                            </div>
                                                            <div class="col-md-1" style="display: flex;
                                                            justify-content: center;
                                                            align-items: center;">
                                                                <button class="btn"
                                                                    style="color:#b50000;background: none;"
                                                                    data-toggle="tooltip" data-placement="top" title=""
                                                                    data-original-title="Rechazar solicitud"
                                                                    (click)="rechazarSolicitud(solicitud.solicitud.id)">
                                                                    <i class="fas fa-times"
                                                                        style="font-size: 1.2rem;"></i>
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> -->
                    </div>
                </div>
            </div>
        </div>


        <!-- <div data-aos="fade-up" data-aos-delay="200" id="containerMap" *ngIf="section_mapa">
            <div id="floating-arrow">
                <button type="button" title="Volver" (click)="salirMapa()" type="button"
                    style="padding:0px !important;background-color:transparent;border:none;font-size:1.3rem;color: #469c72;outline:none;"><i
                        style="margin:0px !important;" class="fas fa-arrow-left"></i></button>
            </div>
            <div #mapContainer id="mapDetail"></div>
        </div> -->

    </form>
</section>